commandes
Modifier Commande
PUT
/
commandes
/
{commande_id}
Modifier Commande
curl --request PUT \
--url https://api.example.com/commandes/{commande_id} \
--header 'Content-Type: application/json' \
--data '
{
"details": {
"produits": [
{
"id": 1,
"nom": "T-shirt en coton",
"prix": 29.99,
"quantite": 3
}
]
}
}
'import requests
url = "https://api.example.com/commandes/{commande_id}"
payload = { "details": { "produits": [
{
"id": 1,
"nom": "T-shirt en coton",
"prix": 29.99,
"quantite": 3
}
] } }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
details: {produits: [{id: 1, nom: 'T-shirt en coton', prix: 29.99, quantite: 3}]}
})
};
fetch('https://api.example.com/commandes/{commande_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/commandes/{commande_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'details' => [
'produits' => [
[
'id' => 1,
'nom' => 'T-shirt en coton',
'prix' => 29.99,
'quantite' => 3
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/commandes/{commande_id}"
payload := strings.NewReader("{\n \"details\": {\n \"produits\": [\n {\n \"id\": 1,\n \"nom\": \"T-shirt en coton\",\n \"prix\": 29.99,\n \"quantite\": 3\n }\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/commandes/{commande_id}")
.header("Content-Type", "application/json")
.body("{\n \"details\": {\n \"produits\": [\n {\n \"id\": 1,\n \"nom\": \"T-shirt en coton\",\n \"prix\": 29.99,\n \"quantite\": 3\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/commandes/{commande_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"details\": {\n \"produits\": [\n {\n \"id\": 1,\n \"nom\": \"T-shirt en coton\",\n \"prix\": 29.99,\n \"quantite\": 3\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"statut": "en_attente",
"total": 123,
"articles": {},
"created_at": "2023-11-07T05:31:56Z",
"marchand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
Response
Successful Response
Available options:
en_attente, validée, annulée, en_cours, livrée ⌘I
Modifier Commande
curl --request PUT \
--url https://api.example.com/commandes/{commande_id} \
--header 'Content-Type: application/json' \
--data '
{
"details": {
"produits": [
{
"id": 1,
"nom": "T-shirt en coton",
"prix": 29.99,
"quantite": 3
}
]
}
}
'import requests
url = "https://api.example.com/commandes/{commande_id}"
payload = { "details": { "produits": [
{
"id": 1,
"nom": "T-shirt en coton",
"prix": 29.99,
"quantite": 3
}
] } }
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
details: {produits: [{id: 1, nom: 'T-shirt en coton', prix: 29.99, quantite: 3}]}
})
};
fetch('https://api.example.com/commandes/{commande_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/commandes/{commande_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'details' => [
'produits' => [
[
'id' => 1,
'nom' => 'T-shirt en coton',
'prix' => 29.99,
'quantite' => 3
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/commandes/{commande_id}"
payload := strings.NewReader("{\n \"details\": {\n \"produits\": [\n {\n \"id\": 1,\n \"nom\": \"T-shirt en coton\",\n \"prix\": 29.99,\n \"quantite\": 3\n }\n ]\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.example.com/commandes/{commande_id}")
.header("Content-Type", "application/json")
.body("{\n \"details\": {\n \"produits\": [\n {\n \"id\": 1,\n \"nom\": \"T-shirt en coton\",\n \"prix\": 29.99,\n \"quantite\": 3\n }\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/commandes/{commande_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"details\": {\n \"produits\": [\n {\n \"id\": 1,\n \"nom\": \"T-shirt en coton\",\n \"prix\": 29.99,\n \"quantite\": 3\n }\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"statut": "en_attente",
"total": 123,
"articles": {},
"created_at": "2023-11-07T05:31:56Z",
"marchand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
